var coursecatControllers = angular.module('coursecatControllers', []);

coursecatControllers.controller('CourseListCtrl', ['$scope', '$http', function($scope, $http)
{
	$scope.courses = [];
	$http({
		url: 'http://dev.tuix.cl/proyecto/api/course',
	}).success(function(data) {
		$scope.courses = data.data.courses;
	});
	$scope.teachers = [];
	$http({
		url: 'http://dev.tuix.cl/proyecto/api/teacher',
	}).success(function(data)
	{
		$scope.teachers = data.data.teachers;
	});
}]);

coursecatControllers.controller('CourseDetailCtrl', ['$scope', '$routeParams', '$http', '$location', function($scope, $routeParams, $http, $location) {
    $scope.courseId = $routeParams.courseId;
    $scope.students = [];
    $scope.addedStudent = '';
    $scope.errors = [];
    $http({
    	url: 'http://dev.tuix.cl/proyecto/api/student',
    }).success(function(data)
    {
    	$scope.students = data.data.students;
    });
    $http({
		url: 'http://dev.tuix.cl/proyecto/api/course/'+$scope.courseId,
	}).success(function(data) {
		$scope.course = data.data;
	});
	// Metodo para agregar un estudiante
	$scope.addStudent = function(studentId) {
		param = $.param({student_id: $scope.addedStudent});
		$http({
			url: 'http://dev.tuix.cl/proyecto/api/course/'+$scope.courseId+'/student/add',
			method: 'POST',
			headers: {'Content-Type': 'application/x-www-form-urlencoded'},
			data: param,
		}).success(function(data)
		{
			$scope.course = data.data;
		}).error(function(data)
		{
			$scope.errors.student = data.data.error;
		});
	};

	$scope.createAttendance = function(courseId) {
		$http({
			url: 'http://dev.tuix.cl/proyecto/api/course/'+$scope.courseId+'/attendance',
			method: 'POST',
		}).success(function(data) {
			$location.path('/courses/'+$scope.courseId+'/attendance/'+data.data.id);
		}).error(function(data)
		{
			$scope.errors.attendance = data.data.error;
		});
	};
}]);

coursecatControllers.controller('AttendanceController', ['$scope', '$http', '$routeParams', function($scope, $http, $routeParams)
{
	$scope.attendance = [];
	$http({
		url: 'http://dev.tuix.cl/proyecto/api/course/'+$routeParams.courseId+'/attendance/'+$routeParams.attendanceId
	}).success(function(data) {
		$scope.attendance = data.data;
	});

	$scope.attended = function(student) {
		param = $.param({student_id: student.id});
		$http({
			url: 'http://dev.tuix.cl/proyecto/api/attendance/'+ $routeParams.attendanceId +'/student/attended',
			method: 'POST',
			headers: {'Content-Type': 'application/x-www-form-urlencoded'},
			data: param,
		}).success(function(data)
		{
			student.pivot.attended = data.data.attended;
		});
	};
}]);

coursecatControllers.controller('StudentStadisticsCtrl', ['$scope', '$routeParams', '$http', function($scope, $routeParams, $http) {
	$scope.courseId = $routeParams.courseId;
	$scope.studentId = $routeParams.studentId;
	$http({
    	url: 'http://dev.tuix.cl/proyecto/api/student/'+$scope.studentId+'/course/'+$scope.courseId+'',
    }).success(function(data)
    {
    	$scope.statistics = data.data.statistics;
    	$scope.course = data.data.course;
    	$scope.student = data.data.student;
    });
}]);

